package com.happy.dao;

import com.happy.dto.*;

import java.util.List;

public interface IDCDao {


    /**
     * 描述：获取订单状态占比数据
     * @return
     */
    List<IDCBookStatusEto> getBookStatusData();

    /**
     * 描述：获取各县民宿数量
     * @return
     */
    List<IDCHotelEto> getHotelData();

    /**
     * 描述：获取订单量排行
     * @return
     */
    List<IDCRankEto> getRankBookNumData(String sqlx);

    /**
     * 描述：获取销售额排行
     * @return
     */
    List<IDCSaleEto> getRankSalesAmountData(String sqlx);

    /**
     * 描述：获取汇总信息
     * @return
     */
    IDCSum getSumData();

}
